#include<bits/stdc++.h>
using namespace std;
int main()
{
	int n;
	cin>>n;
	int i;
	bool r[n]={false},c[n]={false};
	vector<pair<int,int> > v;
	for(i=0;i<n;i++)
	{
		int a,b;
		cin>>a>>b;
		a--; b--;
		if(r[a]==false && c[b]==false)	
		{
			r[a]=true;
			c[b]=true;	
		}
		else
			v.push_back(make_pair(a,b));
	} 
	sort(v.begin(),v.end());
	//vector<pair<int,int> > s;
	int ans=0;
	int tr=0;
	for(i=0;i<n;i++)
	{                   
		if(r[i]==true)
			continue;	
		else
		{
			ans+=abs(v[tr].first-i);
			tr++;
		}                                
	}
	tr=0;
	for(i=0;i<n;i++)
	{                   
		if(c[i]==true)
			continue;	
		else
		{
			ans+=abs(v[tr].second-i);
			tr++;
		}                                
	}
	//cout<<v.size();
	cout<<ans;
}